.\" $NetBSD: bootpref.8,v 1.11 2009/03/11 13:52:49 joerg Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julian Coleman.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 11, 1998
.Dt BOOTPREF 8 atari
.Os
.Sh NAME
.Nm bootpref
.Nd set NVRAM boot preference
.Sh SYNOPSIS
.Nm bootpref
.Op -v
.Op -b os
.Op -d delay
.Op -l lang
.Op -k kbd
.Op -s id
.Op -f fmt
.Op -1
.Op -2
.Op -e sep
.Op -c colours
.Op -n
.Op -p
.Op -t
.Op -v
.Op -4
.Op -8
.Op -o
.Op -O
.Op -x
.Op -X
.Op -i
.Op -I
.Sh DESCRIPTION
.Nm bootpref
views and sets the NVRAM boot preferences.
.Pp
The program options are:
.Bl -tag -width Ar
.It Fl V
verbose output (when setting preferences)
.It Fl b Ar netbsd
set the boot OS to
.Nx
.It Fl b Ar tos
set the boot OS to TOS
.It Fl b Ar linux
set the boot OS to Linux
.It Fl b Ar systemv
set the boot OS to System V
.It Fl b Ar none
set the boot OS to none
.It Fl d Ar delay
set the boot delay to
.Ar delay
seconds, where
.Ar delay
is a value between 0 and 255
.It Fl l Ar english
set the language to English
.It Fl l Ar german
set the language to German
.It Fl l Ar french
set the language to French
.It Fl l Ar spanish
set the language to Spanish
.It Fl l Ar italian
set the language to Italian
.It Fl k Ar american
set the keyboard layout to American
.It Fl k Ar german
set the keyboard layout to German
.It Fl k Ar french
set the keyboard layout to French
.It Fl k Ar british
set the keyboard layout to British
.It Fl k Ar spanish
set the keyboard layout to Spanish
.It Fl k Ar italian
set the keyboard layout to Italian
.It Fl k Ar sw f
.It Fl k Ar swiss french
set the keyboard layout to Swiss (French)
.It Fl k Ar sw g
.It Fl k Ar swiss german
set the keyboard layout to Swiss (German)
.It Fl s Ar id
set the SCSI id to
.Ar id ,
where
.Ar id
is a value between 0 and 7
.It Fl f Ar mmddyy
.It Fl f Ar ddmmyy
.It Fl f Ar yymmdd
.It Fl f Ar yyddmm
set the date format
.It Fl 1
set the date format to 12 hour clock
.It Fl 2
set the date format to 24 hour clock
.It Fl e Ar sep
set the date format separator to
.Ar sep
.It Fl c Ar colours
set the number of
.Ar colours
- 2, 4, 16, 256 or 65535
.It Fl n
set the video mode to
.Ar NTSC
.It Fl p
set the video mode to
.Ar PAL
.It Fl t
set the video mode to
.Ar TV
.It Fl v
set the video mode to
.Ar VGA
.It Fl 4
set the video mode to
.Ar 40 columns
.It Fl 8
set the video mode to
.Ar 80 columns
.It Fl o
set the video mode to
.Ar overscan
.It Fl O
set the video mode to
.Ar no overscan
.It Fl x
set the video mode to
.Ar ST compatibility
.It Fl X
set the video mode to
.Ar no ST compatibility
.It Fl i
set the video mode to
.Ar interlace
(TV),
.Ar double line
(VGA)
.It Fl I
set the video mode to
.Ar no interlace/double line
.El
.Pp
All strings can be specified by their shortest abbreviation
.Pp
If no parameters are specified,
.Nm bootpref
shows the current boot preferences.
.Sh SEE ALSO
.Xr installboot 8
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 1.4 .
.Sh AUTHORS
.An Julian Coleman
.Sh BUGS
Setting the boot OS to
.Ar none
will cause the machine not to boot from the hard disk.
.Pp
The majority of the parameters are not used under
.Nx .
